package com.friday.custody.service.basicService.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.friday.custody.dao.DataDictionaryMarketFlagDao;
import com.friday.custody.enums.DataDictionaryTypeEnum;
import com.friday.custody.service.basicService.DataDictionaryMarketFlagService;
import com.friday.custody.service.logicService.DataDictionaryBasicService;
import com.friday.custody.utils.PageUtils;
import com.friday.custody.utils.Query;
import com.friday.custody.utils.R;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.friday.custody.entity.DataDictionaryMarketFlagEntity;
import org.springframework.util.CollectionUtils;


@Service("dataDictionaryMarketFlagService")
public class DataDictionaryMarketFlagServiceImpl extends ServiceImpl<DataDictionaryMarketFlagDao, DataDictionaryMarketFlagEntity>
        implements DataDictionaryMarketFlagService , DataDictionaryBasicService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DataDictionaryMarketFlagEntity> page = this.page(
                new Query<DataDictionaryMarketFlagEntity>().getPage(params),
                new QueryWrapper<DataDictionaryMarketFlagEntity>()
        );

        return new PageUtils(page);
    }

    @Override
    public Map<String, String> queryWithDetail(DataDictionaryTypeEnum dicType, String trustNo) {
        return null;
    }

    @Override
    public Map<String, String> queryWithDetail(String trustNo) {
        return null;
    }

    @Override
    public R queryData(String type) {
        List<DataDictionaryMarketFlagEntity> entities = baseMapper.selectList(new QueryWrapper<>());
        if (!CollectionUtils.isEmpty(entities)) {
            return R.ok("查询字典信息成功！")
                    .put("data", entities.stream().collect(Collectors.toMap(DataDictionaryMarketFlagEntity::getKeyStr
                            ,DataDictionaryMarketFlagEntity::getValue)));
        }
        return R.ok("字典信息为空，请联系管理员配置！");
    }
}